关于cxf requires a wrapper bean but problems

原创
2014/11/07 11:44
阅读数 331

          公司用的是比较老的框架,spring还停留在2.5的版本,因为某旧项目要新增webservice服务,所以在加入cxf jar包的时候,我是相当的谨慎啊,一个一个的放啊,生怕影响到已有的老功能,对于已有的jar包我采取的是能不换就不好的策略。

        本次采用的是cxf2.7.7的版本。

        增加jar包:

其中stax2-api-3.1.1.jar 替换掉了原来的stax1.0 

后因为项目启动后对于返回List的接口总是警告 requires a wrapper bean but problems  ASM has prevented creating one;用 E:\jbptcxf\cxf\asm-3.3.1.jar 替换掉了原来的 asm.jar。

警告消失。

但愿没有对原来的功能造成影响,God bless me!

展开阅读全文
加载中

作者的其它热门文章

打赏
0
0 收藏
分享
打赏
0 评论
0 收藏
0
分享
返回顶部
顶部